def go():
	import time
	import machine
	import urequests
	import network
	import errno
	import onewire, ds18x20
	sta_if = network.WLAN(network.STA_IF)

	
	dat = machine.Pin(12)
	ds = ds18x20.DS18X20(onewire.OneWire(dat))
	roms = ds.scan()
	dat_i = machine.Pin(14)
	ds_i = ds18x20.DS18X20(onewire.OneWire(dat_i))
	roms_i = ds_i.scan()
	time.sleep(2)

	

	def send_data():
		url = 'http://[server ip address here]/sensorlogging/php/rsensor_ds18b20_d.php'
		headerd = {'Content-Type': 'application/x-www-form-urlencoded'}
		jsons = "data=" + str(ds18b20temp_f) + "&" + "data2=" + str(ds18b20temp_f_i)
		if sta_if.isconnected() == True:	
			try:
				r = urequests.post(url, data=jsons, headers= headerd)
				r.close()
			except OSError:
				pass
	while True:
		try:
			ds.convert_temp()
			ds_i.convert_temp()
			time.sleep(15)
			ds18b20temp_c=ds.read_temp(roms[0])
			ds18b20temp_f=ds18b20temp_c * 9.0/5.0 +32
			ds18b20temp_c_i=ds_i.read_temp(roms_i[0])
			ds18b20temp_f_i=ds18b20temp_c_i * 9.0/5.0 +32
			send_data()
		except onewire.OneWireError:
			pass
